summaryrefslogtreecommitdiffstats
path: root/network/republicanywhere
diff options
context:
space:
mode:
author Daniel Prosser2018-12-29 00:03:51 +0100
committer Willy Sudiarto Raharjo2018-12-29 00:03:51 +0100
commitbb2a8ed8f5ddb985e2f7ed705726048ba24a0c75 (patch)
tree1a2848763896802ec20c4e9f3d55a452716c553e /network/republicanywhere
parent6cd785ec13f654c48381109277d0a60abaa33dbf (diff)
downloadslackbuilds-bb2a8ed8f5ddb985e2f7ed705726048ba24a0c75.tar.gz
network/republicanywhere: Added (texting app for the desktop).
Signed-off-by: Willy Sudiarto Raharjo <willysr@slackbuilds.org>
Diffstat (limited to 'network/republicanywhere')
-rw-r--r--network/republicanywhere/README8
-rw-r--r--network/republicanywhere/doinst.sh3
-rw-r--r--network/republicanywhere/republicanywhere.SlackBuild81
-rw-r--r--network/republicanywhere/republicanywhere.info10
-rw-r--r--network/republicanywhere/slack-desc19
5 files changed, 121 insertions, 0 deletions
diff --git a/network/republicanywhere/README b/network/republicanywhere/README
new file mode 100644
index 0000000000..0175acc815
--- /dev/null
+++ b/network/republicanywhere/README
@@ -0,0 +1,8 @@
+Republic Anywhere is an integrated technology platform that syncs your phone
+number to all your devices and allows you to send and receive text messages from
+your computer. You need a Republic Wireless account to use this.
+
+Note: during startup, it looks for /var/lib/dbus/machine-id' (note trailing
+single quote). I'm not sure if that is a bug, but it will work after copying
+/var/lib/dbus/machine-id to /var/lib/dbus/machine-id'. (You will need to escape
+the quote in the cp command.)
diff --git a/network/republicanywhere/doinst.sh b/network/republicanywhere/doinst.sh
new file mode 100644
index 0000000000..5fb28930db
--- /dev/null
+++ b/network/republicanywhere/doinst.sh
@@ -0,0 +1,3 @@
+if [ -x /usr/bin/update-desktop-database ]; then
+ /usr/bin/update-desktop-database -q usr/share/applications >/dev/null 2>&1
+fi
diff --git a/network/republicanywhere/republicanywhere.SlackBuild b/network/republicanywhere/republicanywhere.SlackBuild
new file mode 100644
index 0000000000..e13930b9f2
--- /dev/null
+++ b/network/republicanywhere/republicanywhere.SlackBuild
@@ -0,0 +1,81 @@
+#!/bin/sh
+#
+# Slackware build script for republicanywhere.
+#
+# Copyright 2018 Daniel Prosser, Lexington Park, MD, USA
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR "AS IS" AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PRGNAM=republicanywhere
+VERSION=${VERSION:-1.5.9}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i586 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+case "$ARCH" in
+ x86_64) BITS="amd64" ;;
+ *) echo "$ARCH is not supported."
+ exit 1 ;;
+esac
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+set -e
+
+rm -rf $PKG $TMP/$PRGNAM
+mkdir -p $TMP/$PRGNAM $PKG $OUTPUT
+
+cd $TMP/$PRGNAM
+ar x $CWD/${PRGNAM}_${VERSION}_${BITS}.deb
+tar xvf data.tar.xz
+rm _gpgbuilder control.tar.gz data.tar.xz debian-binary
+chown -R root:root .
+find -L . \
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
+ -o -perm 511 \) -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
+
+mv usr $PKG/
+
+find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+ln -sf /usr/share/republicanywhere/Republic\ Anywhere $PKG/usr/bin/republicanywhere
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/README > $PKG/usr/doc/$PRGNAM-$VERSION/README
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+cat $CWD/doinst.sh > $PKG/install/doinst.sh
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/network/republicanywhere/republicanywhere.info b/network/republicanywhere/republicanywhere.info
new file mode 100644
index 0000000000..edb7a88440
--- /dev/null
+++ b/network/republicanywhere/republicanywhere.info
@@ -0,0 +1,10 @@
+PRGNAM="republicanywhere"
+VERSION="1.5.9"
+HOMEPAGE="https://republicwireless.com/republic-anywhere"
+DOWNLOAD="UNSUPPORTED"
+MD5SUM="UNSUPPORTED"
+DOWNLOAD_x86_64="http://files.republicwireless.com/public/apps/anywhere/debian/pool/main/r/republicanywhere/republicanywhere_1.5.9_amd64.deb"
+MD5SUM_x86_64="b14abfb808831ee613117fed5d51bc71"
+REQUIRES=""
+MAINTAINER="Daniel Prosser"
+EMAIL="dpross1100@msn.com"
diff --git a/network/republicanywhere/slack-desc b/network/republicanywhere/slack-desc
new file mode 100644
index 0000000000..01627ac157
--- /dev/null
+++ b/network/republicanywhere/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+republicanywhere: republicanywhere (texting app for the desktop)
+republicanywhere:
+republicanywhere: Republic Anywhere is an integrated technology platform that syncs
+republicanywhere: your phone number to all your devices and allows you to send and
+republicanywhere: receive text messages from your computer.
+republicanywhere:
+republicanywhere: https://republicwireless.com/republic-anywhere/
+republicanywhere:
+republicanywhere:
+republicanywhere:
+republicanywhere: